# Uses of Interface
net.shibboleth.idp.plugin.IdPPlugin

Packages that use IdPPlugin
Package
Description
net.shibboleth.idp.admin.impl
Implementation classes for administrative profiles.
net.shibboleth.idp.installer.plugin.impl
Classes for handling plugins.
net.shibboleth.idp.plugin
A set of APIs of general use in building IdP plugins.
net.shibboleth.idp.plugin.impl
Implementation classes for plugins.

## Uses of IdPPlugin in net.shibboleth.idp.admin.impl

Methods in net.shibboleth.idp.admin.impl with parameters of type IdPPlugin
Modifier and Type
Method
Description
`private Properties`
InstallableComponentGaugeSet.`lookupIdPProperties(@NotNull IdPPlugin plugin, Map<URL,Properties> pluginInfoCache)`
Look in the cache for the URL and return the properties if it's there, otherwise reach out to the URL and load the properties.

## Uses of IdPPlugin in net.shibboleth.idp.installer.plugin.impl

Fields in net.shibboleth.idp.installer.plugin.impl declared as IdPPlugin
Modifier and Type
Field
Description
`private IdPPlugin`
PluginInstaller.`description`
The plugin's story about itself.
`private final IdPPlugin`
PluginState.`plugin`
The plug in in question.
Methods in net.shibboleth.idp.installer.plugin.impl that return IdPPlugin
Modifier and Type
Method
Description
`private IdPPlugin`
PluginInstaller.`getDescription()`
Check for non null and then if so return the `PluginInstaller.description`.
`IdPPlugin`
PluginInstaller.`getInstalledPlugin(String name)`
Find the `IdPPlugin` with the provided Id.
Methods in net.shibboleth.idp.installer.plugin.impl that return types with arguments of type IdPPlugin
Modifier and Type
Method
Description
`List<IdPPlugin>`
PluginInstaller.`getInstalledPlugins()`
Return a list of the installed plugins.
Methods in net.shibboleth.idp.installer.plugin.impl with parameters of type IdPPlugin
Modifier and Type
Method
Description
`private void`
PluginInstallerCLI.`printDetails(IdPPlugin plugin)`
Print our more information about a plugin.
Constructors in net.shibboleth.idp.installer.plugin.impl with parameters of type IdPPlugin
Modifier
Constructor
Description
``
`PluginState(IdPPlugin description, List<URL> updateOverrides)`
Constructor.

## Uses of IdPPlugin in net.shibboleth.idp.plugin

Classes in net.shibboleth.idp.plugin that implement IdPPlugin
Modifier and Type
Class
Description
`class`
`PropertyDrivenIdPPlugin`
Implementation of `IdPPlugin` relying on Java `Properties`.
Constructor parameters in net.shibboleth.idp.plugin with type arguments of type IdPPlugin
Modifier
Constructor
Description
``
`PropertyDrivenIdPPlugin(Class<? extends IdPPlugin> claz)`
Constructor.

## Uses of IdPPlugin in net.shibboleth.idp.plugin.impl

Classes in net.shibboleth.idp.plugin.impl that implement IdPPlugin
Modifier and Type
Class
Description
`class`
`FirstPartyIdPPlugin`
Implementation class for plugins from the project itself to centralize update handling.
Constructor parameters in net.shibboleth.idp.plugin.impl with type arguments of type IdPPlugin
Modifier
Constructor
Description
``
`FirstPartyIdPPlugin(Class<? extends IdPPlugin> claz)`
Constructor.